### Function

# AppStream IssueSeverity from_string

#### Declaration [src]

    AsIssueSeverity
    as_issue_severity_from_string (
      const gchar* str
    )

#### Description [src]

Converts the text representation to an enumerated value.

#### Parameters

`str`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsIssueSeverity`

A `AsIssueSeverity`, or `AS_ISSUE_SEVERITY_UNKNOWN` for unknown.